Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Interface Simulator.Probe

All Known Implementing Classes:
  BranchCounter, Counter, MulticastProbe, ProgramProfiler, SequenceProbe, Simulator.InstructionCountTimeout, StackMonitor.Monitor

Enclosing interface:
  Simulator

public static interface Simulator.Probe

The `Simulator.Probe` interface represents a programmer-defined probe that can be inserted at a particular instruction in the program. or at every instruction. Probes can be usedfor profiling, analysis, or program understanding. The `fireBefore()` and `fireAfter()` methods are called before and after the target instruction executes in simulation. Probes can also be inserted in the "main loop" of the interpreter, so that the probe fires before and after every instruction executed.

Method Summary
`void` | `fireAfter(Instr i, int address, State state)` The `fireAfter()` method is called after the probed instruction executes.
`void` | `fireBefore(Instr i, int address, State state)` The `fireBefore()` method is called before the probed instruction executes.

Method Detail

### fireBefore

    public void fireBefore(Instr i,
                           int address,
                           State state)

  The `fireBefore()` method is called before the probed instruction executes.

  Parameters:
    `i` - the instruction being probed
    `address` - the address at which this instruction resides
    `state` - the state of the simulation

### fireAfter

    public void fireAfter(Instr i,
                          int address,
                          State state)

  The `fireAfter()` method is called after the probed instruction executes.

  Parameters:
    `i` - the instruction being probed
    `address` - the address at which this instruction resides
    `state` - the state of the simulation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD